Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class EventNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.EventNodeInstance

All Implemented Interfaces:
  Serializable, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, NodeInstance

Direct Known Subclasses:
  BoundaryEventNodeInstance

    public class EventNodeInstance

extends ExtendedNodeInstanceImpl
implements EventNodeInstanceInterface, EventBasedNodeInstanceInterface

Runtime counterpart of an event node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`EventNodeInstance()`

Method Summary
`void` | `addEventListeners()`
`void` | `cancel()`
`EventNode` | `getEventNode()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `removeEventListeners()`
`void` | `signalEvent(String type, Object event)`
`void` | `triggerCompleted()`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventNodeInstance

    public EventNodeInstance()

Method Detail

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Specified by:
    `signalEvent` in interface `EventNodeInstanceInterface`

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `ExtendedNodeInstanceImpl`

### getEventNode

    public EventNode getEventNode()

### triggerCompleted

    public void triggerCompleted()

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `NodeInstanceImpl`

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.